## goverlay 0.4.3

=== debian/changelog ===
goverlay (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Sun, 20 Dec 2020 14:28:17 +0100

goverlay (0.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #958862)

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Fri, 20 Nov 2020 16:02:28 +0100

## goverlay 0.4.4

=== Makefile ===
prefix = /usr/local
bindir = /bin
datadir = /share

all: goverlay

goverlay: *.pas *.lfm *.lrs goverlay.lpi goverlay.lpr goverlay.res goverlay.ico
	lazbuild -B goverlay.lpi --bm=Release $(LAZBUILDOPTS)

clean:
	rm -f goverlay
	rm -rf lib/
	rm -rf backup/

install: goverlay
	install -D -m=755 goverlay $(DESTDIR)$(prefix)$(bindir)/goverlay
	install -D -m=644 data/io.github.benjamimgois.goverlay.desktop $(DESTDIR)$(prefix)$(datadir)/applications/io.github.benjamimgois.goverlay.desktop
	install -D -m=644 data/io.github.benjamimgois.goverlay.metainfo.xml $(DESTDIR)$(prefix)$(datadir)/metainfo/io.github.benjamimgois.goverlay.metainfo.xml
	install -D -m=644 data/goverlay.1 $(DESTDIR)$(prefix)$(datadir)/man/man1/goverlay.1
	install -D -m=644 data/icons/128x128/goverlay.png $(DESTDIR)$(prefix)$(datadir)/icons/hicolor/128x128/apps/goverlay.png
	install -D -m=644 data/icons/256x256/goverlay.png $(DESTDIR)$(prefix)$(datadir)/icons/hicolor/256x256/apps/goverlay.png
	install -D -m=644 data/icons/512x512/goverlay.png $(DESTDIR)$(prefix)$(datadir)/icons/hicolor/512x512/apps/goverlay.png

uninstall:
	rm -f $(DESTDIR)$(prefix)$(bindir)/goverlay
	rm -f $(DESTDIR)$(prefix)$(datadir)/applications/goverlay.desktop
	rm -f $(DESTDIR)$(prefix)$(datadir)/metainfo/goverlay.metainfo.xml
	rm -f $(DESTDIR)$(prefix)$(datadir)/man/man1/goverlay.1
	rm -f $(DESTDIR)$(prefix)$(datadir)/icons/hicolor/128x128/apps/goverlay.png
	rm -f $(DESTDIR)$(prefix)$(datadir)/icons/hicolor/256x256/apps/goverlay.png
	rm -f $(DESTDIR)$(prefix)$(datadir)/icons/hicolor/512x512/apps/goverlay.png

tests:
	appstreamcli validate --pedantic data/io.github.benjamimgois.goverlay.metainfo.xml
	desktop-file-validate data/io.github.benjamimgois.goverlay.desktop

.PHONY: all clean install uninstall tests

=== debian/changelog ===
goverlay (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Thu, 04 Feb 2021 19:44:40 +0100

=== debian/control ===
Source: goverlay
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@protonmail.com>
Build-Depends: debhelper-compat (= 13),
               fpc,
               lcl-2.0,
               lcl-qt5-2.0,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/benjamimgois/goverlay
Vcs-Browser: https://salsa.debian.org/games-team/goverlay
Vcs-Git: https://salsa.debian.org/games-team/goverlay.git

Package: goverlay
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         mesa-utils,
         vulkan-tools,
         git,
Recommends: mangohud,
            vkbasalt,
            replay-sorcery,
Description: Graphical UI to help manage Vulkan / OpenGL overlays
 GOverlay can configure Vulkan / OpenGL overlays with a preview. Currently
 supported are MangoHud, vkBasalt and ReplaySorcery

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr bindir=/games

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%goverlay-$1.tar.gz%" \
    https://github.com/benjamimgois/goverlay/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## goverlay 0.6.3

=== debian/changelog ===
goverlay (0.6.3-2) unstable; urgency=medium

  * Fix missing build dependencies

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 10 Oct 2021 16:56:41 +0200

goverlay (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 10 Oct 2021 15:33:58 +0200

goverlay (0.6.1-1) experimental; urgency=medium

  * New upstream version 0.6.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 28 Jul 2021 19:11:29 +0200

goverlay (0.5.1-1) experimental; urgency=medium

  * New upstream version 0.5.1

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Sat, 05 Jun 2021 11:24:21 +0200

goverlay (0.5-1) experimental; urgency=medium

  * New upstream version 0.5

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Wed, 24 Mar 2021 13:49:53 +0100

=== debian/control ===
Source: goverlay
Section: games
Priority: optional
Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 13),
               fpc,
               lcl-2.0,
               lcl-qt5-2.0,
               lazarus-src-2.0,
               libgl-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/benjamimgois/goverlay
Vcs-Browser: https://salsa.debian.org/games-team/goverlay
Vcs-Git: https://salsa.debian.org/games-team/goverlay.git

Package: goverlay
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         mangohud,
         mesa-utils,
         vulkan-tools,
         git,
Recommends: vkbasalt,
            replay-sorcery,
Description: Graphical UI to help manage Vulkan / OpenGL overlays
 GOverlay can configure Vulkan / OpenGL overlays with a preview. Currently
 supported are MangoHud, vkBasalt and ReplaySorcery

## goverlay 0.6.4

=== debian/changelog ===
goverlay (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 28 Oct 2021 09:07:46 +0200

## goverlay 0.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 prefix = /usr/local
 bindir = /bin
+libexecdir = /libexec
 datadir = /share
 
 all: goverlay
@@ -7,13 +8,19 @@
 goverlay: *.pas *.lfm *.lrs goverlay.lpi goverlay.lpr goverlay.res goverlay.ico
 	lazbuild -B goverlay.lpi --bm=Release $(LAZBUILDOPTS)
 
+data/goverlay.sh: data/goverlay.sh.in
+	sed s%@libexecdir@%$(prefix)$(libexecdir)%g data/goverlay.sh.in > data/goverlay.sh
+
 clean:
 	rm -f goverlay
+	rm -f data/goverlay.sh
 	rm -rf lib/
 	rm -rf backup/
+	rm -rf goverlay.lps
 
-install: goverlay
-	install -D -m=755 goverlay $(DESTDIR)$(prefix)$(bindir)/goverlay
+install: goverlay data/goverlay.sh
+	install -D -m=755 goverlay $(DESTDIR)$(prefix)$(libexecdir)/goverlay-bin
+	install -D -m=755 data/goverlay.sh $(DESTDIR)$(prefix)$(bindir)/goverlay
 	install -D -m=644 data/io.github.benjamimgois.goverlay.desktop $(DESTDIR)$(prefix)$(datadir)/applications/io.github.benjamimgois.goverlay.desktop
 	install -D -m=644 data/io.github.benjamimgois.goverlay.metainfo.xml $(DESTDIR)$(prefix)$(datadir)/metainfo/io.github.benjamimgois.goverlay.metainfo.xml
 	install -D -m=644 data/goverlay.1 $(DESTDIR)$(prefix)$(datadir)/man/man1/goverlay.1
@@ -22,6 +29,7 @@
 	install -D -m=644 data/icons/512x512/goverlay.png $(DESTDIR)$(prefix)$(datadir)/icons/hicolor/512x512/apps/goverlay.png
 
 uninstall:
+	rm -f $(DESTDIR)$(prefix)$(libexecdir)/goverlay-bin
 	rm -f $(DESTDIR)$(prefix)$(bindir)/goverlay
 	rm -f $(DESTDIR)$(prefix)$(datadir)/applications/goverlay.desktop
 	rm -f $(DESTDIR)$(prefix)$(datadir)/metainfo/goverlay.metainfo.xml

=== debian/changelog ===
goverlay (0.7-1) unstable; urgency=medium

  * New upstream version 0.7

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 29 Nov 2021 21:26:07 +0100

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,9 @@
          mesa-utils,
          vulkan-tools,
          git,
+         breeze,
 Recommends: vkbasalt,
             replay-sorcery,
 Description: Graphical UI to help manage Vulkan / OpenGL overlays
  GOverlay can configure Vulkan / OpenGL overlays with a preview. Currently
- supported are MangoHud, vkBasalt and ReplaySorcery
+ supported are MangoHud, vkBasalt and ReplaySorcery.

## goverlay 0.7.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 libexecdir = /libexec
 datadir = /share
 
-all: goverlay
+all: goverlay start_goverlay.sh
 
 goverlay: *.pas *.lfm *.lrs goverlay.lpi goverlay.lpr goverlay.res goverlay.ico
 	lazbuild -B goverlay.lpi --bm=Release $(LAZBUILDOPTS)
@@ -11,15 +11,21 @@
 data/goverlay.sh: data/goverlay.sh.in
 	sed s%@libexecdir@%$(prefix)$(libexecdir)%g data/goverlay.sh.in > data/goverlay.sh
 
+start_goverlay.sh: data/goverlay.sh.in
+	sed s%@libexecdir@%.%g data/goverlay.sh.in > start_goverlay.sh
+	chmod +x ./start_goverlay.sh
+
 clean:
 	rm -f goverlay
+	rm -f start_goverlay.sh
 	rm -f data/goverlay.sh
 	rm -rf lib/
 	rm -rf backup/
-	rm -rf goverlay.lps
+	rm -f goverlay.lps
+	rm -f goverlay_*.tar.xz
 
 install: goverlay data/goverlay.sh
-	install -D -m=755 goverlay $(DESTDIR)$(prefix)$(libexecdir)/goverlay-bin
+	install -D -m=755 goverlay $(DESTDIR)$(prefix)$(libexecdir)/goverlay
 	install -D -m=755 data/goverlay.sh $(DESTDIR)$(prefix)$(bindir)/goverlay
 	install -D -m=644 data/io.github.benjamimgois.goverlay.desktop $(DESTDIR)$(prefix)$(datadir)/applications/io.github.benjamimgois.goverlay.desktop
 	install -D -m=644 data/io.github.benjamimgois.goverlay.metainfo.xml $(DESTDIR)$(prefix)$(datadir)/metainfo/io.github.benjamimgois.goverlay.metainfo.xml
@@ -29,7 +35,7 @@
 	install -D -m=644 data/icons/512x512/goverlay.png $(DESTDIR)$(prefix)$(datadir)/icons/hicolor/512x512/apps/goverlay.png
 
 uninstall:
-	rm -f $(DESTDIR)$(prefix)$(libexecdir)/goverlay-bin
+	rm -f $(DESTDIR)$(prefix)$(libexecdir)/goverlay
 	rm -f $(DESTDIR)$(prefix)$(bindir)/goverlay
 	rm -f $(DESTDIR)$(prefix)$(datadir)/applications/goverlay.desktop
 	rm -f $(DESTDIR)$(prefix)$(datadir)/metainfo/goverlay.metainfo.xml
@@ -42,4 +48,7 @@
 	appstreamcli validate --pedantic data/io.github.benjamimgois.goverlay.metainfo.xml
 	desktop-file-validate data/io.github.benjamimgois.goverlay.desktop
 
-.PHONY: all clean install uninstall tests
+tarball: goverlay start_goverlay.sh
+	tar -cJf goverlay_${VERSION}.tar.xz goverlay start_goverlay.sh
+
+.PHONY: all data/goverlay.sh start_goverlay.sh clean install uninstall tests tarball

=== debian/changelog ===
goverlay (0.7.1-2) unstable; urgency=medium

  * Build with Lazarus 2.2.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 25 Jan 2022 20:41:39 +0100

goverlay (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 16 Dec 2021 11:39:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: goverlay
 Section: games
 Priority: optional
-Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
-Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                fpc,
-               lcl-2.0,
-               lcl-qt5-2.0,
-               lazarus-src-2.0,
+               lcl,
+               lcl-qt5,
+               lazarus-src,
                libgl-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0.1
@@ -25,7 +25,6 @@
          git,
          breeze,
 Recommends: vkbasalt,
-            replay-sorcery,
 Description: Graphical UI to help manage Vulkan / OpenGL overlays
  GOverlay can configure Vulkan / OpenGL overlays with a preview. Currently
  supported are MangoHud, vkBasalt and ReplaySorcery.

## goverlay 0.8.1

=== debian/changelog ===
goverlay (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * Update standards version to 4.6.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 05 Jul 2022 13:13:36 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                lazarus-src,
                libgl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/benjamimgois/goverlay
 Vcs-Browser: https://salsa.debian.org/games-team/goverlay
 Vcs-Git: https://salsa.debian.org/games-team/goverlay.git

## goverlay 0.9

=== debian/changelog ===
goverlay (0.9-1) unstable; urgency=medium

  * New upstream version 0.9

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 21 Jul 2022 13:23:27 +0200

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,11 @@
          mesa-utils,
          vulkan-tools,
          git,
-         breeze,
 Recommends: vkbasalt,
+Suggests: breeze,
+          adwaita-qt,
 Description: Graphical UI to help manage Vulkan / OpenGL overlays
  GOverlay can configure Vulkan / OpenGL overlays with a preview. Currently
  supported are MangoHud, vkBasalt and ReplaySorcery.
+ It is recommended to set the Qt style to Breeze or Adwaita using the
+ environment variable QT_STYLE_OVERRIDE.

## goverlay 0.9.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 start_goverlay.sh: data/goverlay.sh.in
 	sed s%@libexecdir@%.%g data/goverlay.sh.in > start_goverlay.sh
-	chmod +x ./start_goverlay.sh
+	chmod +x start_goverlay.sh
 
 clean:
 	rm -f goverlay

=== debian/changelog ===
goverlay (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 22 Jan 2023 15:19:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                lazarus-src,
                libgl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/benjamimgois/goverlay
 Vcs-Browser: https://salsa.debian.org/games-team/goverlay
 Vcs-Git: https://salsa.debian.org/games-team/goverlay.git
@@ -22,12 +22,9 @@
          mangohud,
          mesa-utils,
          vulkan-tools,
-         git,
-Recommends: vkbasalt,
-Suggests: breeze,
-          adwaita-qt,
+Recommends: gamescope,
+            vkbasalt,
+            git,
 Description: Graphical UI to help manage Vulkan / OpenGL overlays
  GOverlay can configure Vulkan / OpenGL overlays with a preview. Currently
  supported are MangoHud, vkBasalt and ReplaySorcery.
- It is recommended to set the Qt style to Breeze or Adwaita using the
- environment variable QT_STYLE_OVERRIDE.

## goverlay 1.0

=== debian/changelog ===
goverlay (1.0-1) unstable; urgency=medium

  * New upstream version 1.0

 -- Safir Secerovic <sapphire@linux.org.ba>  Sat, 23 Dec 2023 18:25:14 -0600

goverlay (0.9.1-2) unstable; urgency=medium

  [ Safir Secerovic ]
  * Added libglu1-mesa as a runtime dependency of goverlay (Closes: #1032486)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 26 Oct 2023 18:29:02 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
          mangohud,
          mesa-utils,
          vulkan-tools,
+         libglu1-mesa,
 Recommends: gamescope,
             vkbasalt,
             git,

=== debian/watch ===
version=4
https://github.com/benjamimgois/goverlay/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
